
From: Kumar Gala <galak@freescale.com>

The ppc pci bus and resource fixups will automatically adjust the IO space
mappings by (hose->io_base_virt - isa_io_base).  Since we map all of PCI IO
space (PCI1 & PCI2) with a single mapping so it is continguious in virtual,
physical, and PCI IO space the offset will equal MPC85XX_PCI1_IO_SIZE. 
There for we needed to reduce the setting by that amount for everything to
work properly on CDS.

Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/85xx/mpc85xx_cds_common.h |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN arch/ppc/platforms/85xx/mpc85xx_cds_common.h~ppc32-fix-pci2-io-space-mapping-on-cds arch/ppc/platforms/85xx/mpc85xx_cds_common.h
--- 25/arch/ppc/platforms/85xx/mpc85xx_cds_common.h~ppc32-fix-pci2-io-space-mapping-on-cds	2005-01-23 14:44:10.634944568 -0800
+++ 25-akpm/arch/ppc/platforms/85xx/mpc85xx_cds_common.h	2005-01-23 14:44:10.643943200 -0800
@@ -60,8 +60,10 @@
 #define MPC85XX_PCI1_IO_SIZE         0x01000000
 
 /* PCI 2 memory map */
-#define MPC85XX_PCI2_LOWER_IO        0x01000000
-#define MPC85XX_PCI2_UPPER_IO        0x01ffffff
+/* Note: the standard PPC fixups will cause IO space to get bumped by
+ * hose->io_base_virt - isa_io_base => MPC85XX_PCI1_IO_SIZE */
+#define MPC85XX_PCI2_LOWER_IO        0x00000000
+#define MPC85XX_PCI2_UPPER_IO        0x00ffffff
 
 #define MPC85XX_PCI2_LOWER_MEM       0xa0000000
 #define MPC85XX_PCI2_UPPER_MEM       0xbfffffff
_
